Package org.flowable.cmmn.model

# Class ExternalWorkerServiceTask

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.Task
org.flowable.cmmn.model.ExternalWorkerServiceTask

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasInParameters`, `HasLifecycleListeners`, `HasOutParameters`

public class ExternalWorkerServiceTask extends Task implements HasInParameters, HasOutParameters

Author:
  Filip Hrisafov

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `doNotIncludeVariables`
  `protected List<IOParameter>`
  `inParameters`
  `protected List<IOParameter>`
  `outParameters`
  `protected String`
  `topic`
  `protected String`
  `type`
  `static final String`
  `TYPE`

  ### Fields inherited from class org.flowable.cmmn.model.Task

  `async, asyncLeave, asyncLeaveExclusive, blocking, blockingExpression, exclusive`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalWorkerServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInParameter(IOParameter inParameter)`
  `void`
  `addOutParameter(IOParameter outParameter)`
  `ExternalWorkerServiceTask`
  `clone()`
  `List<IOParameter>`
  `getInParameters()`
  `List<IOParameter>`
  `getOutParameters()`
  `String`
  `getTopic()`
  `String`
  `getType()`
  `boolean`
  `isDoNotIncludeVariables()`
  `void`
  `setDoNotIncludeVariables(boolean doNotIncludeVariables)`
  `void`
  `setInParameters(List<IOParameter> inParameters)`
  `void`
  `setOutParameters(List<IOParameter> outParameters)`
  `void`
  `setTopic(String topic)`
  `void`
  `setType(String type)`
  `void`
  `setValues(ExternalWorkerServiceTask otherElement)`

  ### Methods inherited from class org.flowable.cmmn.model.Task

  `getBlockingExpression, isAsync, isAsyncLeave, isAsyncLeaveExclusive, isBlocking, isExclusive, setAsync, setAsyncLeave, setAsyncLeaveExclusive, setBlocking, setBlockingExpression, setExclusive, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE

    public static final String TYPE
    See Also:
      - Constant Field Values

  - ### type

    protected String type

  - ### topic

    protected String topic

  - ### doNotIncludeVariables

    protected boolean doNotIncludeVariables

  - ### inParameters

    protected List<IOParameter> inParameters

  - ### outParameters

    protected List<IOParameter> outParameters

- ## Constructor Details

  - ### ExternalWorkerServiceTask

    public ExternalWorkerServiceTask()

- ## Method Details

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getTopic

    public String getTopic()

  - ### setTopic

    public void setTopic(String topic)

  - ### isDoNotIncludeVariables

    public boolean isDoNotIncludeVariables()

  - ### setDoNotIncludeVariables

    public void setDoNotIncludeVariables(boolean doNotIncludeVariables)

  - ### getInParameters

    public List<IOParameter> getInParameters()
    Specified by:
      `getInParameters` in interface `HasInParameters`

  - ### addInParameter

    public void addInParameter(IOParameter inParameter)
    Specified by:
      `addInParameter` in interface `HasInParameters`

  - ### setInParameters

    public void setInParameters(List<IOParameter> inParameters)
    Specified by:
      `setInParameters` in interface `HasInParameters`

  - ### getOutParameters

    public List<IOParameter> getOutParameters()
    Specified by:
      `getOutParameters` in interface `HasOutParameters`

  - ### addOutParameter

    public void addOutParameter(IOParameter outParameter)
    Specified by:
      `addOutParameter` in interface `HasOutParameters`

  - ### setOutParameters

    public void setOutParameters(List<IOParameter> outParameters)
    Specified by:
      `setOutParameters` in interface `HasOutParameters`

  - ### clone

    public ExternalWorkerServiceTask clone()
    Overrides:
      `clone` in class `Object`

  - ### setValues

    public void setValues(ExternalWorkerServiceTask otherElement)